Skip to content
CARP Docs
Ask AISystemLightDark

Participation service

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
POST
/api/participation-service

The request body should be a serialized ParticipationServiceRequest (string). The response body will also be serialized (string). The request-response mappings are as follows:

  • GetActiveParticipationInvitations -> ActiveParticipationInvitation[]
  • GetParticipantData -> ParticipantData
  • GetParticipantDataList -> ParticipantData[]
  • SetParticipantData -> ParticipantData
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

application/json
  1. body
accountId*
apiVersion*
responseSerializer*

Response body

OK

*/*
  1. response
[index: integer]?
Example request
curl -X POST 'https://dev.carp.dk/api/participation-service' \  -H 'Content-Type: application/json' \  -d '{  "accountId": {},  "apiVersion": {    "major": 0,    "minor": 0  },  "responseSerializer": {    "descriptor": {      "annotations": [        {}      ],      "serialName": "string",      "elementsCount": 0,      "isInline": true,      "kind": null,      "isNullable": true    }  }}'
Example response
[  {    "participation": {      "studyDeploymentId": {        "stringRepresentation": "string"      },      "assignedRoles": null,      "participantId": {        "stringRepresentation": "string"      }    },    "invitation": {      "name": "string",      "description": "string",      "applicationData": "string"    },    "assignedDevices": [      {        "device": {          "primaryDevice$dk_cachet_carp_common_carp_common": true,          "roleName": "string",          "supportedDataTypes": [            {              "namespace": "string",              "name": "string"            }          ],          "dataTypeSamplingSchemes": {            "keyOf": null,            "values": [              {                "dataType": {                  "type": {                    "namespace": "string",                    "name": "string"                  },                  "displayName": "string",                  "timeType": "POINT"                },                "default": null              }            ],            "empty": true,            "size": 0,            "entries": [              {                "value": {                  "dataType": {                    "type": {                      "namespace": "string",                      "name": "string"                    },                    "displayName": "string",                    "timeType": "POINT"                  },                  "default": null                },                "key": {                  "namespace": "string",                  "name": "string"                }              }            ],            "keys": [              {                "namespace": "string",                "name": "string"              }            ],            "property1": {              "dataType": {                "type": {                  "namespace": "string",                  "name": "string"                },                "displayName": "string",                "timeType": "POINT"              },              "default": null            },            "property2": {              "dataType": {                "type": {                  "namespace": "string",                  "name": "string"                },                "displayName": "string",                "timeType": "POINT"              },              "default": null            }          },          "defaultSamplingConfiguration": {            "property1": null,            "property2": null          },          "registrationClass": {            "inner": true,            "fun": true,            "visibility": "PUBLIC",            "qualifiedName": "string",            "sealedSubclasses": [              {}            ],            "members": [              {                "suspend": true,                "visibility": "PUBLIC",                "name": "string",                "typeParameters": [                  {                    "variance": "INVARIANT",                    "reified": true,                    "upperBounds": [                      {                        "markedNullable": true,                        "arguments": [                          {                            "variance": "INVARIANT",                            "type": {}                          }                        ],                        "classifier": null,                        "annotations": [                          null                        ]                      }                    ],                    "name": "string"                  }                ],                "returnType": {                  "markedNullable": true,                  "arguments": [                    {                      "variance": "INVARIANT",                      "type": {}                    }                  ],                  "classifier": null,                  "annotations": [                    null                  ]                },                "final": true,                "open": true,                "parameters": [                  {                    "vararg": true,                    "optional": true,                    "kind": "INSTANCE",                    "name": "string",                    "type": {                      "markedNullable": true,                      "arguments": [                        {                          "variance": "INVARIANT",                          "type": {}                        }                      ],                      "classifier": null,                      "annotations": [                        null                      ]                    },                    "index": 0,                    "annotations": [                      null                    ]                  }                ],                "abstract": true,                "annotations": [                  null                ]              }            ],            "companion": true,            "data": true,            "nestedClasses": [              {}            ],            "supertypes": [              {                "markedNullable": true,                "arguments": [                  {                    "variance": "INVARIANT",                    "type": {}                  }                ],                "classifier": null,                "annotations": [                  null                ]              }            ],            "typeParameters": [              {                "variance": "INVARIANT",                "reified": true,                "upperBounds": [                  {                    "markedNullable": true,                    "arguments": [                      {                        "variance": "INVARIANT",                        "type": {}                      }                    ],                    "classifier": null,                    "annotations": [                      null                    ]                  }                ],                "name": "string"              }            ],            "simpleName": "string",            "final": true,            "open": true,            "constructors": [              {                "operator": true,                "infix": true,                "suspend": true,                "inline": true,                "external": true,                "visibility": "PUBLIC",                "name": "string",                "typeParameters": [                  {                    "variance": "INVARIANT",                    "reified": true,                    "upperBounds": [                      {                        "markedNullable": true,                        "arguments": [                          {                            "variance": "INVARIANT",                            "type": {}                          }                        ],                        "classifier": null,                        "annotations": [                          null                        ]                      }                    ],                    "name": "string"                  }                ],                "returnType": {                  "markedNullable": true,                  "arguments": [                    {                      "variance": "INVARIANT",                      "type": {}                    }                  ],                  "classifier": null,                  "annotations": [                    null                  ]                },                "final": true,                "open": true,                "parameters": [                  {                    "vararg": true,                    "optional": true,                    "kind": "INSTANCE",                    "name": "string",                    "type": {                      "markedNullable": true,                      "arguments": [                        {                          "variance": "INVARIANT",                          "type": {}                        }                      ],                      "classifier": null,                      "annotations": [                        null                      ]                    },                    "index": 0,                    "annotations": [                      null                    ]                  }                ],                "abstract": true,                "annotations": [                  null                ]              }            ],            "sealed": true,            "abstract": true,            "objectInstance": null,            "value": true,            "annotations": [              null            ]          },          "optional": true        },        "registration": {          "registrationCreatedOn": {            "epochSeconds": 0,            "nanosecondsOfSecond": 0          },          "deviceDisplayName": "string",          "deviceId": "string"        }      }    ]  }]

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture